This API is used to check whether a beacon has been registered.
This API is called to check whether a beacon has been registered.
Protocol | HTTPS GET |
Direction | App server or app -> HUAWEI Nearby Service server |
URL | https://{Domain name}/WiseCloudNearbyBeaconService/v1/beaconRegisterStatus/{beaconId}?projectId=[projectId] |
Data Format | Content-type: application/json |
For details about how to obtain the domain name and projectID, please refer to API Call Process.
You need to obtain the service account credential. For details, please refer to Service Account-based Authentication.
Parameter | Mandatory (M)/Optional (O) | Type | Description |
srcTranID | M | String | Transaction ID in the request header. The value contains a maximum of 24 characters. |
timeStamp | M | Long | Timestamp in the request header. |
Authorization | M | String | Parameter in the request header, which is used for gateway authentication. For details about how to obtain the JSON Web Token (JWT) of the parameter , please refer to Service Account-based Authentication. |
projectId | O | String | Project ID for query. |
beaconId | M | String | Beacon ID in the URL. |
If the request is successful, status code 200 is returned with a response body containing the following parameters.
Parameter | Type | Description |
status | int | 0: not registered 1: The beacon has been registered by the account. 2: The beacon has been registered by another account. |
If the request fails, a status code other than 200 is returned with the following response body:
(1) A non-service request fails due to an exception (for example, the gateway verification fails or the token expires).
Parameter | Type | Description |
error | String | Error message that is not returned by the service. |
(2) A service request fails.
Parameter | Type | Description |
serviceError | object | Error message that is returned by the service. |
The JSON structure of serviceError is as follows.
Parameter | Type | Description |
code | int | Result code. For details, please refer to the following result code table. |
status | String | Error status. |
message | String | Error description. |
Result Code | Description | Suggestion |
400000001 | Incorrect parameter in the request header. | Verify the request header parameter. |
400000002 | Incorrect parameter in the request body. | Verify the request body parameter. |
403000003 | The service account is unavailable. | Verify that the service account is available on the console of HUAWEI Developer. |
500000001 | Internal service error. | Contact Huawei technical support. |
Request:
- GET /WiseCloudNearbyBeaconService/v1/beaconRegisterStatus/aa123?projectId=id123 HTTP/1.1
- Host: Domain name.
- Content-Type: application/json
- srcTranId: 20191018190804622477503612345678912345678
- timeStamp: 922337203685477580
- Accept: application/json
- Authorization: Bearer eyJraWQiOiIx---xxx.eyJhdWQiOiJodHR---xxx.QRodgXa2xeXSt4Gp---xxx
Response:
- HTTP/1.1 401 Unauthorized
- Content-type: application/json
- content-length: 27
- {"error":"session timeout"}
Request:
- GET /WiseCloudNearbyBeaconService/v1/beaconRegisterStatus/aa123?projectId=id123 HTTP/1.1
- Host: Domain name.
- Content-Type: application/json
- srcTranId: 20191018190804622477503612345678912345678
- timeStamp: 922337203685477580
- Accept: application/json
- Authorization: Bearer eyJraWQiOiIx---xxx.eyJhdWQiOiJodHR---xxx.QRodgXa2xeXSt4Gp---xxx
Response:
- HTTP/1.1 400 Bad Request
- Content-type: application/json
- content-length: 150
- {"serviceError":{"code":400000001,"message":"srcTranID: size must be between 0 and 24, srcTranID: must match \"^\\d{1,24}$\"","status":"Bad Request"}}
Request:
- GET /WiseCloudNearbyBeaconService/v1/beaconRegisterStatus/aa124?projectId=id123 HTTP/1.1
- Host: Domain name.
- Content-Type: application/json
- srcTranId: 201910181908046224775031
- timeStamp: 922337203685477580
- Accept: application/json
- Authorization: Bearer eyJraWQiOiIx---xxx.eyJhdWQiOiJodHR---xxx.QRodgXa2xeXSt4Gp---xxx
Response:
- HTTP/1.1 200 OK
- Content-type: application/json
- content-length: 12
- {"status":1}